Package com.google.earth.kml._2

# Class ScreenOverlayType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.FeatureType
com.google.earth.kml._2.OverlayType
com.google.earth.kml._2.ScreenOverlayType

public class ScreenOverlayType extends OverlayType
<p>Java class for ScreenOverlayType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ScreenOverlayType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}OverlayType"> <sequence> <element name="overlayXY" type="{http://earth.google.com/kml/2.1}vec2Type" minOccurs="0"/> <element name="screenXY" type="{http://earth.google.com/kml/2.1}vec2Type" minOccurs="0"/> <element name="rotationXY" type="{http://earth.google.com/kml/2.1}vec2Type" minOccurs="0"/> <element name="size" type="{http://earth.google.com/kml/2.1}vec2Type" minOccurs="0"/> <element name="rotation" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Vec2Type`
  `overlayXY`
  `protected Float`
  `rotation`
  `protected Vec2Type`
  `rotationXY`
  `protected Vec2Type`
  `screenXY`
  `protected Vec2Type`
  `size`

  ### Fields inherited from class com.google.earth.kml._2.OverlayType

  `color, drawOrder, icon`

  ### Fields inherited from class com.google.earth.kml._2.FeatureType

  `address, description, lookAt, metadata, name, open, phoneNumber, region, snippet, styleSelector, styleUrl, timePrimitive, visibility`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScreenOverlayType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Vec2Type`
  `getOverlayXY()`
  Gets the value of the overlayXY property.
  `Float`
  `getRotation()`
  Gets the value of the rotation property.
  `Vec2Type`
  `getRotationXY()`
  Gets the value of the rotationXY property.
  `Vec2Type`
  `getScreenXY()`
  Gets the value of the screenXY property.
  `Vec2Type`
  `getSize()`
  Gets the value of the size property.
  `void`
  `setOverlayXY(Vec2Type value)`
  Sets the value of the overlayXY property.
  `void`
  `setRotation(Float value)`
  Sets the value of the rotation property.
  `void`
  `setRotationXY(Vec2Type value)`
  Sets the value of the rotationXY property.
  `void`
  `setScreenXY(Vec2Type value)`
  Sets the value of the screenXY property.
  `void`
  `setSize(Vec2Type value)`
  Sets the value of the size property.

  ### Methods inherited from class com.google.earth.kml._2.OverlayType

  `getColor, getDrawOrder, getIcon, setColor, setDrawOrder, setIcon`

  ### Methods inherited from class com.google.earth.kml._2.FeatureType

  `getAddress, getDescription, getLookAt, getMetadata, getName, getPhoneNumber, getRegion, getSnippet, getStyleSelector, getStyleUrl, getTimePrimitive, isOpen, isVisibility, setAddress, setDescription, setLookAt, setMetadata, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setStyleUrl, setTimePrimitive, setVisibility`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### overlayXY

    protected Vec2Type overlayXY

  - ### screenXY

    protected Vec2Type screenXY

  - ### rotationXY

    protected Vec2Type rotationXY

  - ### size

    protected Vec2Type size

  - ### rotation

    protected Float rotation

- ## Constructor Details

  - ### ScreenOverlayType

    public ScreenOverlayType()

- ## Method Details

  - ### getOverlayXY

    public Vec2Type getOverlayXY()
    Gets the value of the overlayXY property.
    Returns:
      possible object is `Vec2Type`

  - ### setOverlayXY

    public void setOverlayXY(Vec2Type value)
    Sets the value of the overlayXY property.
    Parameters:
      `value` - allowed object is `Vec2Type`

  - ### getScreenXY

    public Vec2Type getScreenXY()
    Gets the value of the screenXY property.
    Returns:
      possible object is `Vec2Type`

  - ### setScreenXY

    public void setScreenXY(Vec2Type value)
    Sets the value of the screenXY property.
    Parameters:
      `value` - allowed object is `Vec2Type`

  - ### getRotationXY

    public Vec2Type getRotationXY()
    Gets the value of the rotationXY property.
    Returns:
      possible object is `Vec2Type`

  - ### setRotationXY

    public void setRotationXY(Vec2Type value)
    Sets the value of the rotationXY property.
    Parameters:
      `value` - allowed object is `Vec2Type`

  - ### getSize

    public Vec2Type getSize()
    Gets the value of the size property.
    Returns:
      possible object is `Vec2Type`

  - ### setSize

    public void setSize(Vec2Type value)
    Sets the value of the size property.
    Parameters:
      `value` - allowed object is `Vec2Type`

  - ### getRotation

    public Float getRotation()
    Gets the value of the rotation property.
    Returns:
      possible object is `Float`

  - ### setRotation

    public void setRotation(Float value)
    Sets the value of the rotation property.
    Parameters:
      `value` - allowed object is `Float`